Skip to content
登录 注册

地理位置

使用带有 2 字母 ISO 国家代码的 country 参数,从该地区发送请求。支持的国家取决于代理类型。没有地理位置访问权限的套餐将从所选池中随机获得一个国家。

GET https://scrape.shifter.io/v1?api_key=YOUR_API_KEY&url=<TARGET_URL>&country=us&proxy_type=datacenter
ParameterTypeRequiredDescription
api_keystringyes您的 Web Scraping API 密钥
urlstringyes要抓取的目标 URL
countrystringno2 字母国家代码(例如 usgbde)。
proxy_typestringnodatacenter(默认)或 residential
  • Datacenter: uscagbdefresmxjpcnau
  • Residential: uscagbdefresjpcnaubrinmx
Terminal window
curl "https://scrape.shifter.io/v1?api_key=YOUR_API_KEY&url=https%3A%2F%2Fhttpbin.org%2Fget&country=us&proxy_type=datacenter"
{
"args": {},
"headers": {
"Accept": "text/html,application/xhtml+xml,application/xml;q=0.9,image/webp,image/apng,*/*;q=0.8",
"Accept-Encoding": "gzip, deflate, br",
"Host": "httpbin.org",
"Upgrade-Insecure-Requests": "1",
"User-Agent": "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/99.0.4844.0 Safari/537.36"
},
"origin": "192.3.214.245",
"url": "https://httpbin.org/get"
}